// Returns a JSON object indicating whether the application is installed as login item

const FEED_JOURNALER_NAME = 'Feed Journaler';
const APP_NAME = 'Feed Journaler.app';

let systemEvents = Application('System Events');

function getLoginItem() {
    let hasItem = false;
    let showMainWindowOnLogin = false;
    for (let i = 0; i < systemEvents.loginItems.length; i++) {
        let loginItem = systemEvents.loginItems[i];
        if ((loginItem.name() == FEED_JOURNALER_NAME) && (loginItem.path().endsWith(APP_NAME))) {
            return {
                "hasLoginItem": true,
                "showMainWindowOnLogin": !loginItem.hidden(),
            };
        }
    }

    return {
        "hasLoginItem": false,
        "showMainWindowOnLogin": false,
    };
}

console.log(JSON.stringify(getLoginItem()));
