// Installs the login item.
//

const FEED_JOURNALER_NAME = 'Feed Journaler';
const APP_NAME = 'Feed Journaler.app';

let systemEvents = Application('System Events');

function getLoginItem() {
    let hasItem = false;
    let showMainWindowOnLogin = false;
    for (let i = 0; i < systemEvents.loginItems.length; i++) {
        let loginItem = systemEvents.loginItems.at(i);
        if ((loginItem.name() == FEED_JOURNALER_NAME) && (loginItem.path().endsWith(APP_NAME))) {
            return loginItem;
        }
    }

    return null;
}

function getenv(name) {
    let env = ObjC.unwrap($.NSProcessInfo.processInfo.environment);
    if (!(name in env)) {
        return null;
    }
    
    return ObjC.unwrap(env[name]);
}

let executionPath = getenv("app_path");
let shouldHidden = getenv("app_start_hidden");

let loginItem = getLoginItem()
if (!loginItem) {
    loginItem = systemEvents.LoginItem({
        name: FEED_JOURNALER_NAME,
        path: executionPath,
    });
    
    systemEvents.loginItems.push(loginItem);
}

loginItem.hidden = (shouldHidden === "true");
